libfreehand::FHCollector Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libfreehand::FHCollector Class Reference

`#include <FHCollector.h>`

## Public Member Functions
| FHCollector ()
virtual | ~FHCollector ()
void | collectString (unsigned recordId, const librevenge::RVNGString &str)
void | collectName (unsigned recordId, const librevenge::RVNGString &str)
void | collectPath (unsigned recordId, const FHPath &path)
void | collectXform (unsigned recordId, double m11, double m21, double m12, double m22, double m13, double m23)
void | collectFHTail (unsigned recordId, const FHTail &fhTail)
void | collectBlock (unsigned recordId, const FHBlock &block)
void | collectList (unsigned recordId, const FHList &lst)
void | collectLayer (unsigned recordId, const FHLayer &layer)
void | collectGroup (unsigned recordId, const FHGroup &group)
void | collectClipGroup (unsigned recordId, const FHGroup &group)
void | collectCompositePath (unsigned recordId, const FHCompositePath &compositePath)
void | collectTString (unsigned recordId, const std::vector< unsigned > &elements)
void | collectAGDFont (unsigned recordId, const FHAGDFont &font)
void | collectParagraph (unsigned recordId, const FHParagraph &paragraph)
void | collectTextBlok (unsigned recordId, const std::vector< unsigned short > &characters)
void | collectTextObject (unsigned recordId, const FHTextObject &textObject)
void | collectCharProps (unsigned recordId, const FHCharProperties &charProps)
void | collectPropList (unsigned recordId, const FHPropList &propertyList)
void | collectDisplayText (unsigned recordId, const FHDisplayText &displayText)
void | collectGraphicStyle (unsigned recordId, const FHGraphicStyle &graphicStyle)
void | collectAttributeHolder (unsigned recordId, const FHAttributeHolder &attributeHolder)
void | collectFilterAttributeHolder (unsigned recordId, const FHFilterAttributeHolder &filterAttributeHolder)
void | collectData (unsigned recordId, const librevenge::RVNGBinaryData &data)
void | collectDataList (unsigned recordId, const FHDataList &list)
void | collectImage (unsigned recordId, const FHImageImport &image)
void | collectMultiColorList (unsigned recordId, const std::vector< FHColorStop > &colorStops)
void | collectNewBlend (unsigned recordId, const FHNewBlend &newBlend)
void | collectOpacityFilter (unsigned recordId, double opacity)
void | collectFWShadowFilter (unsigned recordId, const FWShadowFilter &filter)
void | collectFWGlowFilter (unsigned recordId, const FWGlowFilter &filter)
void | collectPageInfo (const FHPageInfo &pageInfo)
void | collectColor (unsigned recordId, const FHRGBColor &color)
void | collectTintColor (unsigned recordId, const FHTintColor &color)
void | collectBasicFill (unsigned recordId, const FHBasicFill &fill)
void | collectLensFill (unsigned recordId, const FHLensFill &fill)
void | collectLinearFill (unsigned recordId, const FHLinearFill &fill)
void | collectRadialFill (unsigned recordId, const FHRadialFill &fill)
void | collectBasicLine (unsigned recordId, const FHBasicLine &line)
void | collectTileFill (unsigned recordId, const FHTileFill &fill)
void | collectPatternFill (unsigned recordId, const FHPatternFill &fill)
void | collectSymbolClass (unsigned recordId, const FHSymbolClass &symbolClass)
void | collectSymbolInstance (unsigned recordId, const FHSymbolInstance &symbolInstance)
void | outputDrawing (::librevenge::RVNGDrawingInterface *painter)

## Private Member Functions
| FHCollector (const FHCollector &)
FHCollector & | operator= (const FHCollector &)
void | _normalizePath (FHPath &path)
void | _normalizePoint (double &x, double &y)
void | _outputPath (const FHPath *path,::librevenge::RVNGDrawingInterface *painter)
void | _outputLayer (unsigned layerId,::librevenge::RVNGDrawingInterface *painter)
void | _outputGroup (const FHGroup *group,::librevenge::RVNGDrawingInterface *painter)
void | _outputClipGroup (const FHGroup *group,::librevenge::RVNGDrawingInterface *painter)
void | _outputCompositePath (const FHCompositePath *compositePath,::librevenge::RVNGDrawingInterface *painter)
void | _outputTextObject (const FHTextObject *textObject,::librevenge::RVNGDrawingInterface *painter)
void | _outputParagraph (const FHParagraph *paragraph,::librevenge::RVNGDrawingInterface *painter)
void | _outputTextRun (const std::vector< unsigned short > *characters, unsigned offset, unsigned length, unsigned charStyleId,::librevenge::RVNGDrawingInterface *painter)
void | _outputDisplayText (const FHDisplayText *displayText,::librevenge::RVNGDrawingInterface *painter)
void | _outputImageImport (const FHImageImport *image,::librevenge::RVNGDrawingInterface *painter)
void | _outputNewBlend (const FHNewBlend *newBlend,::librevenge::RVNGDrawingInterface *painter)
void | _outputSymbolInstance (const FHSymbolInstance *symbolInstance,::librevenge::RVNGDrawingInterface *painter)
void | _outputSomething (unsigned somethingId,::librevenge::RVNGDrawingInterface *painter)
void | _getBBofPath (const FHPath *path, FHBoundingBox &bBox)
void | _getBBofLayer (unsigned layerId, FHBoundingBox &bBox)
void | _getBBofGroup (const FHGroup *group, FHBoundingBox &bBox)
void | _getBBofClipGroup (const FHGroup *group, FHBoundingBox &bBox)
void | _getBBofCompositePath (const FHCompositePath *compositePath, FHBoundingBox &bBox)
void | _getBBofTextObject (const FHTextObject *textObject, FHBoundingBox &bBox)
void | _getBBofDisplayText (const FHDisplayText *displayText, FHBoundingBox &bBox)
void | _getBBofImageImport (const FHImageImport *image, FHBoundingBox &bBox)
void | _getBBofNewBlend (const FHNewBlend *newBlend, FHBoundingBox &bBox)
void | _getBBofSymbolInstance (const FHSymbolInstance *symbolInstance, FHBoundingBox &bBox)
void | _getBBofSomething (unsigned somethingId, FHBoundingBox &bBox)
const std::vector< unsigned > * | _findListElements (unsigned id)
void | _appendParagraphProperties (::librevenge::RVNGPropertyList &propList, unsigned paraPropsId)
void | _appendParagraphProperties (::librevenge::RVNGPropertyList &propList, const FH3ParaProperties &paraProps)
void | _appendCharacterProperties (::librevenge::RVNGPropertyList &propList, unsigned charPropsId)
void | _appendCharacterProperties (::librevenge::RVNGPropertyList &propList, const FH3CharProperties &charProps)
void | _appendFontProperties (::librevenge::RVNGPropertyList &propList, unsigned agdFontId)
void | _appendFillProperties (::librevenge::RVNGPropertyList &propList, unsigned graphicStyleId)
void | _appendStrokeProperties (::librevenge::RVNGPropertyList &propList, unsigned graphicStyleId)
void | _appendBasicFill (::librevenge::RVNGPropertyList &propList, const FHBasicFill *basicFill)
void | _appendBasicLine (::librevenge::RVNGPropertyList &propList, const FHBasicLine *basicLine)
void | _appendLinearFill (::librevenge::RVNGPropertyList &propList, const FHLinearFill *linearFill)
void | _appendLensFill (::librevenge::RVNGPropertyList &propList, const FHLensFill *lensFill)
void | _appendRadialFill (::librevenge::RVNGPropertyList &propList, const FHRadialFill *radialFill)
void | _appendTileFill (::librevenge::RVNGPropertyList &propList, const FHTileFill *tileFill)
void | _appendPatternFill (::librevenge::RVNGPropertyList &propList, const FHPatternFill *patternFill)
void | _appendOpacity (::librevenge::RVNGPropertyList &propList, const double *opacity)
void | _appendShadow (::librevenge::RVNGPropertyList &propList, const FWShadowFilter *filter)
void | _appendGlow (::librevenge::RVNGPropertyList &propList, const FWGlowFilter *filter)
void | _applyFilter (::librevenge::RVNGPropertyList &propList, unsigned filterId)
const std::vector< unsigned > * | _findTStringElements (unsigned id)
const FHPath * | _findPath (unsigned id)
const FHGroup * | _findGroup (unsigned id)
const FHGroup * | _findClipGroup (unsigned id)
const FHCompositePath * | _findCompositePath (unsigned id)
const FHTextObject * | _findTextObject (unsigned id)
const FHTransform * | _findTransform (unsigned id)
const FHParagraph * | _findParagraph (unsigned id)
const FHPropList * | _findPropList (unsigned id)
const FHGraphicStyle * | _findGraphicStyle (unsigned id)
const std::vector< unsigned short > * | _findTextBlok (unsigned id)
const FHBasicFill * | _findBasicFill (unsigned id)
const FHLinearFill * | _findLinearFill (unsigned id)
const FHLensFill * | _findLensFill (unsigned id)
const FHRadialFill * | _findRadialFill (unsigned id)
const FHTileFill * | _findTileFill (unsigned id)
const FHPatternFill * | _findPatternFill (unsigned id)
const FHBasicLine * | _findBasicLine (unsigned id)
const FHRGBColor * | _findRGBColor (unsigned id)
const FHTintColor * | _findTintColor (unsigned id)
const FHDisplayText * | _findDisplayText (unsigned id)
const FHImageImport * | _findImageImport (unsigned id)
const FHNewBlend * | _findNewBlend (unsigned id)
const double * | _findOpacityFilter (unsigned id)
const FWShadowFilter * | _findFWShadowFilter (unsigned id)
const FWGlowFilter * | _findFWGlowFilter (unsigned id)
const FHFilterAttributeHolder * | _findFilterAttributeHolder (unsigned id)
const ::librevenge::RVNGBinaryData * | _findData (unsigned id)
::librevenge::RVNGString | getColorString (unsigned id)
unsigned | _findFillId (const FHGraphicStyle &graphicStyle)
unsigned | _findStrokeId (const FHGraphicStyle &graphicStyle)
const FHFilterAttributeHolder * | _findFilterAttributeHolder (const FHGraphicStyle &graphicStyle)
unsigned | _findValueFromAttribute (unsigned id)
const FHSymbolClass * | _findSymbolClass (unsigned id)
const FHSymbolInstance * | _findSymbolInstance (unsigned id)
unsigned | _findContentId (unsigned graphicStyleId)
const std::vector< FHColorStop > * | _findMultiColorList (unsigned id)
::librevenge::RVNGBinaryData | getImageData (unsigned id)
FHRGBColor | getRGBFromTint (const FHTintColor &tint)
void | _generateBitmapFromPattern (librevenge::RVNGBinaryData &bitmap, unsigned colorId, const std::vector< unsigned char > &pattern)

## Private Attributes
FHPageInfo | m_pageInfo
FHTail | m_fhTail
std::pair< unsigned, FHBlock > | m_block
std::map< unsigned, FHTransform > | m_transforms
std::map< unsigned, FHPath > | m_paths
std::map< unsigned, librevenge::RVNGString > | m_strings
std::map< librevenge::RVNGString, unsigned > | m_names
std::map< unsigned, FHList > | m_lists
std::map< unsigned, FHLayer > | m_layers
std::map< unsigned, FHGroup > | m_groups
std::map< unsigned, FHGroup > | m_clipGroups
std::stack< FHTransform > | m_currentTransforms
std::vector< FHTransform > | m_fakeTransforms
std::map< unsigned, FHCompositePath > | m_compositePaths
std::map< unsigned, std::vector< unsigned > > | m_tStrings
std::map< unsigned, FHAGDFont > | m_fonts
std::map< unsigned, FHParagraph > | m_paragraphs
std::map< unsigned, std::vector< unsigned short > > | m_textBloks
std::map< unsigned, FHTextObject > | m_textObjects
std::map< unsigned, FHCharProperties > | m_charProperties
std::map< unsigned, FHRGBColor > | m_rgbColors
std::map< unsigned, FHBasicFill > | m_basicFills
std::map< unsigned, FHPropList > | m_propertyLists
std::map< unsigned, FHBasicLine > | m_basicLines
std::map< unsigned, FHDisplayText > | m_displayTexts
std::map< unsigned, FHGraphicStyle > | m_graphicStyles
std::map< unsigned, FHAttributeHolder > | m_attributeHolders
std::map< unsigned, librevenge::RVNGBinaryData > | m_data
std::map< unsigned, FHDataList > | m_dataLists
std::map< unsigned, FHImageImport > | m_images
std::map< unsigned, std::vector< FHColorStop > > | m_multiColorLists
std::map< unsigned, FHLinearFill > | m_linearFills
std::map< unsigned, FHTintColor > | m_tints
std::map< unsigned, FHLensFill > | m_lensFills
std::map< unsigned, FHRadialFill > | m_radialFills
std::map< unsigned, FHNewBlend > | m_newBlends
std::map< unsigned, FHFilterAttributeHolder > | m_filterAttributeHolders
std::map< unsigned, double > | m_opacityFilters
std::map< unsigned, FWShadowFilter > | m_shadowFilters
std::map< unsigned, FWGlowFilter > | m_glowFilters
std::map< unsigned, FHTileFill > | m_tileFills
std::map< unsigned, FHSymbolClass > | m_symbolClasses
std::map< unsigned, FHSymbolInstance > | m_symbolInstances
std::map< unsigned, FHPatternFill > | m_patternFills
unsigned | m_strokeId
unsigned | m_fillId
unsigned | m_contentId

## Constructor & Destructor Documentation

libfreehand::FHCollector::FHCollector | ( |  | ) |

libfreehand::FHCollector::~FHCollector | ( |  | ) |
| virtual

libfreehand::FHCollector::FHCollector | ( | const FHCollector & |  | ) |
| private

## Member Function Documentation

void libfreehand::FHCollector::_appendBasicFill | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FHBasicFill * | basicFill
| ) |  |
| private

Referenced by _appendFillProperties().

void libfreehand::FHCollector::_appendBasicLine | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FHBasicLine * | basicLine
| ) |  |
| private

Referenced by _appendStrokeProperties().

void libfreehand::FHCollector::_appendCharacterProperties | ( | ::librevenge::RVNGPropertyList & | propList,
|  | unsigned | charPropsId
| ) |  |
| private

Referenced by _outputDisplayText(), and _outputTextRun().

void libfreehand::FHCollector::_appendCharacterProperties | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FH3CharProperties & | charProps
| ) |  |
| private

void libfreehand::FHCollector::_appendFillProperties | ( | ::librevenge::RVNGPropertyList & | propList,
|  | unsigned | graphicStyleId
| ) |  |
| private

Referenced by _appendStrokeProperties(), _outputClipGroup(), _outputImageImport(), and _outputPath().

void libfreehand::FHCollector::_appendFontProperties | ( | ::librevenge::RVNGPropertyList & | propList,
|  | unsigned | agdFontId
| ) |  |
| private

Referenced by _appendCharacterProperties().

void libfreehand::FHCollector::_appendGlow | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FWGlowFilter * | filter
| ) |  |
| private

Referenced by _applyFilter().

void libfreehand::FHCollector::_appendLensFill | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FHLensFill * | lensFill
| ) |  |
| private

Referenced by _appendFillProperties().

void libfreehand::FHCollector::_appendLinearFill | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FHLinearFill * | linearFill
| ) |  |
| private

Referenced by _appendFillProperties().

void libfreehand::FHCollector::_appendOpacity | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const double * | opacity
| ) |  |
| private

Referenced by _applyFilter().

void libfreehand::FHCollector::_appendParagraphProperties | ( | ::librevenge::RVNGPropertyList & | propList,
|  | unsigned | paraPropsId
| ) |  |
| private

Referenced by _outputDisplayText(), and _outputParagraph().

void libfreehand::FHCollector::_appendParagraphProperties | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FH3ParaProperties & | paraProps
| ) |  |
| private

void libfreehand::FHCollector::_appendPatternFill | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FHPatternFill * | patternFill
| ) |  |
| private

Referenced by _appendFillProperties().

void libfreehand::FHCollector::_appendRadialFill | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FHRadialFill * | radialFill
| ) |  |
| private

Referenced by _appendFillProperties().

void libfreehand::FHCollector::_appendShadow | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FWShadowFilter * | filter
| ) |  |
| private

Referenced by _applyFilter().

void libfreehand::FHCollector::_appendStrokeProperties | ( | ::librevenge::RVNGPropertyList & | propList,
|  | unsigned | graphicStyleId
| ) |  |
| private

Referenced by _outputClipGroup(), _outputImageImport(), and _outputPath().

void libfreehand::FHCollector::_appendTileFill | ( | ::librevenge::RVNGPropertyList & | propList,
|  | const FHTileFill * | tileFill
| ) |  |
| private

Referenced by _appendFillProperties().

void libfreehand::FHCollector::_applyFilter | ( | ::librevenge::RVNGPropertyList & | propList,
|  | unsigned | filterId
| ) |  |
| private

Referenced by _appendFillProperties(), and _appendStrokeProperties().

const libfreehand::FHBasicFill * libfreehand::FHCollector::_findBasicFill | ( | unsigned | id | ) |
| private

Referenced by _appendFillProperties(), and _findFillId().

const libfreehand::FHBasicLine * libfreehand::FHCollector::_findBasicLine | ( | unsigned | id | ) |
| private

Referenced by _appendStrokeProperties(), and _findStrokeId().

const libfreehand::FHGroup * libfreehand::FHCollector::_findClipGroup | ( | unsigned | id | ) |
| private

Referenced by _getBBofSomething(), and _outputSomething().

const libfreehand::FHCompositePath * libfreehand::FHCollector::_findCompositePath | ( | unsigned | id | ) |
| private

Referenced by _getBBofSomething(), and _outputSomething().

unsigned libfreehand::FHCollector::_findContentId | ( | unsigned | graphicStyleId | ) |
| private

Referenced by _outputPath().

const ::librevenge::RVNGBinaryData * libfreehand::FHCollector::_findData | ( | unsigned | id | ) |
| private

Referenced by getImageData().

const libfreehand::FHDisplayText * libfreehand::FHCollector::_findDisplayText | ( | unsigned | id | ) |
| private

Referenced by _getBBofSomething(), and _outputSomething().

unsigned libfreehand::FHCollector::_findFillId | ( | const FHGraphicStyle & | graphicStyle | ) |
| private

Referenced by _appendFillProperties().

const ::libfreehand::FHFilterAttributeHolder * libfreehand::FHCollector::_findFilterAttributeHolder | ( | unsigned | id | ) |
| private

Referenced by _appendFillProperties(), _appendStrokeProperties(), and _findFilterAttributeHolder().

const libfreehand::FHFilterAttributeHolder * libfreehand::FHCollector::_findFilterAttributeHolder | ( | const FHGraphicStyle & | graphicStyle | ) |
| private

const libfreehand::FWGlowFilter * libfreehand::FHCollector::_findFWGlowFilter | ( | unsigned | id | ) |
| private

Referenced by _applyFilter().

const libfreehand::FWShadowFilter * libfreehand::FHCollector::_findFWShadowFilter | ( | unsigned | id | ) |
| private

Referenced by _applyFilter().

const libfreehand::FHGraphicStyle * libfreehand::FHCollector::_findGraphicStyle | ( | unsigned | id | ) |
| private

Referenced by _appendFillProperties(), _appendStrokeProperties(), and _findContentId().

const libfreehand::FHGroup * libfreehand::FHCollector::_findGroup | ( | unsigned | id | ) |
| private

Referenced by _getBBofSomething(), and _outputSomething().

const libfreehand::FHImageImport * libfreehand::FHCollector::_findImageImport | ( | unsigned | id | ) |
| private

Referenced by _getBBofSomething(), and _outputSomething().

const libfreehand::FHLensFill * libfreehand::FHCollector::_findLensFill | ( | unsigned | id | ) |
| private

Referenced by _appendFillProperties(), and _findFillId().

const libfreehand::FHLinearFill * libfreehand::FHCollector::_findLinearFill | ( | unsigned | id | ) |
| private

Referenced by _appendFillProperties(), and _findFillId().

const std::vector< unsigned > * libfreehand::FHCollector::_findListElements | ( | unsigned | id | ) |
| private

Referenced by _getBBofClipGroup(), _getBBofCompositePath(), _getBBofGroup(), _outputClipGroup(), _outputCompositePath(), _outputGroup(), _outputLayer(), _outputNewBlend(), and outputDrawing().

const std::vector< libfreehand::FHColorStop > * libfreehand::FHCollector::_findMultiColorList | ( | unsigned | id | ) |
| private

Referenced by _appendLinearFill(), and _appendRadialFill().

const libfreehand::FHNewBlend * libfreehand::FHCollector::_findNewBlend | ( | unsigned | id | ) |
| private

Referenced by _getBBofSomething(), and _outputSomething().

const double * libfreehand::FHCollector::_findOpacityFilter | ( | unsigned | id | ) |
| private

Referenced by _applyFilter().

const libfreehand::FHParagraph * libfreehand::FHCollector::_findParagraph | ( | unsigned | id | ) |
| private

Referenced by _outputTextObject().

const libfreehand::FHPath * libfreehand::FHCollector::_findPath | ( | unsigned | id | ) |
| private

Referenced by _getBBofCompositePath(), _getBBofSomething(), _outputClipGroup(), _outputCompositePath(), and _outputSomething().

const libfreehand::FHPatternFill * libfreehand::FHCollector::_findPatternFill | ( | unsigned | id | ) |
| private

Referenced by _appendFillProperties(), and _findFillId().

const libfreehand::FHPropList * libfreehand::FHCollector::_findPropList | ( | unsigned | id | ) |
| private

Referenced by _appendFillProperties(), _appendStrokeProperties(), and _findContentId().

const libfreehand::FHRadialFill * libfreehand::FHCollector::_findRadialFill | ( | unsigned | id | ) |
| private

Referenced by _appendFillProperties(), and _findFillId().

const libfreehand::FHRGBColor * libfreehand::FHCollector::_findRGBColor | ( | unsigned | id | ) |
| private

Referenced by _generateBitmapFromPattern(), getColorString(), and getRGBFromTint().

unsigned libfreehand::FHCollector::_findStrokeId | ( | const FHGraphicStyle & | graphicStyle | ) |
| private

Referenced by _appendStrokeProperties().

const libfreehand::FHSymbolClass * libfreehand::FHCollector::_findSymbolClass | ( | unsigned | id | ) |
| private

Referenced by _getBBofSymbolInstance(), and _outputSymbolInstance().

const libfreehand::FHSymbolInstance * libfreehand::FHCollector::_findSymbolInstance | ( | unsigned | id | ) |
| private

Referenced by _getBBofSomething(), and _outputSomething().

const std::vector<unsigned short>* libfreehand::FHCollector::_findTextBlok | ( | unsigned | id | ) |
| private

const libfreehand::FHTextObject * libfreehand::FHCollector::_findTextObject | ( | unsigned | id | ) |
| private

Referenced by _getBBofSomething(), and _outputSomething().

const libfreehand::FHTileFill * libfreehand::FHCollector::_findTileFill | ( | unsigned | id | ) |
| private

Referenced by _appendFillProperties(), and _findFillId().

const libfreehand::FHTintColor * libfreehand::FHCollector::_findTintColor | ( | unsigned | id | ) |
| private

Referenced by _generateBitmapFromPattern(), and getColorString().

const libfreehand::FHTransform * libfreehand::FHCollector::_findTransform | ( | unsigned | id | ) |
| private

Referenced by _appendTileFill(), _getBBofClipGroup(), _getBBofDisplayText(), _getBBofGroup(), _getBBofImageImport(), _getBBofPath(), _getBBofTextObject(), _outputClipGroup(), _outputDisplayText(), _outputGroup(), _outputImageImport(), _outputPath(), and _outputTextObject().

const std::vector< unsigned > * libfreehand::FHCollector::_findTStringElements | ( | unsigned | id | ) |
| private

Referenced by _outputTextObject().

unsigned libfreehand::FHCollector::_findValueFromAttribute | ( | unsigned | id | ) |
| private

Referenced by _findFillId(), and _findStrokeId().

void libfreehand::FHCollector::_generateBitmapFromPattern | ( | librevenge::RVNGBinaryData & | bitmap,
|  | unsigned | colorId,
|  | const std::vector< unsigned char > & | pattern
| ) |  |
| private

Referenced by _appendPatternFill().

void libfreehand::FHCollector::_getBBofClipGroup | ( | const FHGroup * | group,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _getBBofSomething().

void libfreehand::FHCollector::_getBBofCompositePath | ( | const FHCompositePath * | compositePath,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _getBBofSomething().

void libfreehand::FHCollector::_getBBofDisplayText | ( | const FHDisplayText * | displayText,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _getBBofSomething().

void libfreehand::FHCollector::_getBBofGroup | ( | const FHGroup * | group,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _getBBofSomething().

void libfreehand::FHCollector::_getBBofImageImport | ( | const FHImageImport * | image,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _getBBofSomething().

void libfreehand::FHCollector::_getBBofLayer | ( | unsigned | layerId,
|  | FHBoundingBox & | bBox
| ) |  |
| private

void libfreehand::FHCollector::_getBBofNewBlend | ( | const FHNewBlend * | newBlend,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _getBBofSomething().

void libfreehand::FHCollector::_getBBofPath | ( | const FHPath * | path,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _getBBofCompositePath(), and _getBBofSomething().

void libfreehand::FHCollector::_getBBofSomething | ( | unsigned | somethingId,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _appendTileFill(), _getBBofClipGroup(), _getBBofGroup(), and _getBBofSymbolInstance().

void libfreehand::FHCollector::_getBBofSymbolInstance | ( | const FHSymbolInstance * | symbolInstance,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _getBBofSomething().

void libfreehand::FHCollector::_getBBofTextObject | ( | const FHTextObject * | textObject,
|  | libfreehand::FHBoundingBox & | bBox
| ) |  |
| private

Referenced by _getBBofSomething().

void libfreehand::FHCollector::_normalizePath | ( | libfreehand::FHPath & | path | ) |
| private

Referenced by _getBBofPath(), _outputClipGroup(), and _outputPath().

void libfreehand::FHCollector::_normalizePoint | ( | double & | x,
|  | double & | y
| ) |  |
| private

Referenced by _getBBofDisplayText(), _getBBofImageImport(), _getBBofTextObject(), _outputDisplayText(), _outputImageImport(), and _outputTextObject().

void libfreehand::FHCollector::_outputClipGroup | ( | const FHGroup * | group,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputSomething().

void libfreehand::FHCollector::_outputCompositePath | ( | const FHCompositePath * | compositePath,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputSomething().

void libfreehand::FHCollector::_outputDisplayText | ( | const FHDisplayText * | displayText,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputSomething().

void libfreehand::FHCollector::_outputGroup | ( | const FHGroup * | group,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputClipGroup(), and _outputSomething().

void libfreehand::FHCollector::_outputImageImport | ( | const FHImageImport * | image,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputSomething().

void libfreehand::FHCollector::_outputLayer | ( | unsigned | layerId,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by outputDrawing().

void libfreehand::FHCollector::_outputNewBlend | ( | const FHNewBlend * | newBlend,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputSomething().

void libfreehand::FHCollector::_outputParagraph | ( | const FHParagraph * | paragraph,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputTextObject().

void libfreehand::FHCollector::_outputPath | ( | const FHPath * | path,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputCompositePath(), and _outputSomething().

void libfreehand::FHCollector::_outputSomething | ( | unsigned | somethingId,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _appendTileFill(), _outputGroup(), _outputLayer(), _outputNewBlend(), _outputPath(), and _outputSymbolInstance().

void libfreehand::FHCollector::_outputSymbolInstance | ( | const FHSymbolInstance * | symbolInstance,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputSomething().

void libfreehand::FHCollector::_outputTextObject | ( | const FHTextObject * | textObject,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputSomething().

void libfreehand::FHCollector::_outputTextRun | ( | const std::vector< unsigned short > * | characters,
|  | unsigned | offset,
|  | unsigned | length,
|  | unsigned | charStyleId,
|  | ::librevenge::RVNGDrawingInterface * | painter
| ) |  |
| private

Referenced by _outputParagraph().

void libfreehand::FHCollector::collectAGDFont | ( | unsigned | recordId,
|  | const FHAGDFont & | font
| ) |  |

Referenced by libfreehand::FHParser::readAGDFont().

void libfreehand::FHCollector::collectAttributeHolder | ( | unsigned | recordId,
|  | const FHAttributeHolder & | attributeHolder
| ) |  |

Referenced by libfreehand::FHParser::readAttributeHolder().

void libfreehand::FHCollector::collectBasicFill | ( | unsigned | recordId,
|  | const FHBasicFill & | fill
| ) |  |

Referenced by libfreehand::FHParser::readBasicFill().

void libfreehand::FHCollector::collectBasicLine | ( | unsigned | recordId,
|  | const FHBasicLine & | line
| ) |  |

Referenced by libfreehand::FHParser::readBasicLine(), and libfreehand::FHParser::readPatternLine().

void libfreehand::FHCollector::collectBlock | ( | unsigned | recordId,
|  | const FHBlock & | block
| ) |  |

Referenced by libfreehand::FHParser::readBlock().

void libfreehand::FHCollector::collectCharProps | ( | unsigned | recordId,
|  | const FHCharProperties & | charProps
| ) |  |

Referenced by libfreehand::FHParser::readVMpObj().

void libfreehand::FHCollector::collectClipGroup | ( | unsigned | recordId,
|  | const FHGroup & | group
| ) |  |

Referenced by libfreehand::FHParser::readClipGroup().

void libfreehand::FHCollector::collectColor | ( | unsigned | recordId,
|  | const FHRGBColor & | color
| ) |  |

Referenced by libfreehand::FHParser::readColor6(), libfreehand::FHParser::readPantoneColor(), libfreehand::FHParser::readProcessColor(), libfreehand::FHParser::readSpotColor(), libfreehand::FHParser::readSpotColor6(), libfreehand::FHParser::readTintColor(), and libfreehand::FHParser::readTintColor6().

void libfreehand::FHCollector::collectCompositePath | ( | unsigned | recordId,
|  | const FHCompositePath & | compositePath
| ) |  |

Referenced by libfreehand::FHParser::readCompositePath().

void libfreehand::FHCollector::collectData | ( | unsigned | recordId,
|  | const librevenge::RVNGBinaryData & | data
| ) |  |

Referenced by libfreehand::FHParser::readData().

void libfreehand::FHCollector::collectDataList | ( | unsigned | recordId,
|  | const FHDataList & | list
| ) |  |

Referenced by libfreehand::FHParser::readDataList().

void libfreehand::FHCollector::collectDisplayText | ( | unsigned | recordId,
|  | const FHDisplayText & | displayText
| ) |  |

Referenced by libfreehand::FHParser::readDisplayText().

void libfreehand::FHCollector::collectFHTail | ( | unsigned | recordId,
|  | const FHTail & | fhTail
| ) |  |

Referenced by libfreehand::FHParser::readFHTail().

void libfreehand::FHCollector::collectFilterAttributeHolder | ( | unsigned | recordId,
|  | const FHFilterAttributeHolder & | filterAttributeHolder
| ) |  |

Referenced by libfreehand::FHParser::readFilterAttributeHolder().

void libfreehand::FHCollector::collectFWGlowFilter | ( | unsigned | recordId,
|  | const FWGlowFilter & | filter
| ) |  |

Referenced by libfreehand::FHParser::readFWGlowFilter().

void libfreehand::FHCollector::collectFWShadowFilter | ( | unsigned | recordId,
|  | const FWShadowFilter & | filter
| ) |  |

Referenced by libfreehand::FHParser::readFWShadowFilter().

void libfreehand::FHCollector::collectGraphicStyle | ( | unsigned | recordId,
|  | const FHGraphicStyle & | graphicStyle
| ) |  |

Referenced by libfreehand::FHParser::readGraphicStyle().

void libfreehand::FHCollector::collectGroup | ( | unsigned | recordId,
|  | const FHGroup & | group
| ) |  |

Referenced by libfreehand::FHParser::readGroup().

void libfreehand::FHCollector::collectImage | ( | unsigned | recordId,
|  | const FHImageImport & | image
| ) |  |

Referenced by libfreehand::FHParser::readImageImport(), and libfreehand::FHParser::readSwfImport().

void libfreehand::FHCollector::collectLayer | ( | unsigned | recordId,
|  | const FHLayer & | layer
| ) |  |

Referenced by libfreehand::FHParser::readLayer().

void libfreehand::FHCollector::collectLensFill | ( | unsigned | recordId,
|  | const FHLensFill & | fill
| ) |  |

Referenced by libfreehand::FHParser::readLensFill().

void libfreehand::FHCollector::collectLinearFill | ( | unsigned | recordId,
|  | const FHLinearFill & | fill
| ) |  |

Referenced by libfreehand::FHParser::readConeFill(), libfreehand::FHParser::readLinearFill(), libfreehand::FHParser::readTaperedFill(), and libfreehand::FHParser::readTaperedFillX().

void libfreehand::FHCollector::collectList | ( | unsigned | recordId,
|  | const FHList & | lst
| ) |  |

Referenced by libfreehand::FHParser::readList().

void libfreehand::FHCollector::collectMultiColorList | ( | unsigned | recordId,
|  | const std::vector< FHColorStop > & | colorStops
| ) |  |

Referenced by libfreehand::FHParser::readMultiColorList().

void libfreehand::FHCollector::collectName | ( | unsigned | recordId,
|  | const librevenge::RVNGString & | str
| ) |  |

Referenced by libfreehand::FHParser::readMName().

void libfreehand::FHCollector::collectNewBlend | ( | unsigned | recordId,
|  | const FHNewBlend & | newBlend
| ) |  |

Referenced by libfreehand::FHParser::readNewBlend().

void libfreehand::FHCollector::collectOpacityFilter | ( | unsigned | recordId,
|  | double | opacity
| ) |  |

Referenced by libfreehand::FHParser::readOpacityFilter().

void libfreehand::FHCollector::collectPageInfo | ( | const FHPageInfo & | pageInfo | ) |

Referenced by libfreehand::FHParser::parseDocument().

void libfreehand::FHCollector::collectParagraph | ( | unsigned | recordId,
|  | const FHParagraph & | paragraph
| ) |  |

Referenced by libfreehand::FHParser::readParagraph().

void libfreehand::FHCollector::collectPath | ( | unsigned | recordId,
|  | const FHPath & | path
| ) |  |

Referenced by libfreehand::FHParser::readOval(), libfreehand::FHParser::readPath(), libfreehand::FHParser::readPolygonFigure(), and libfreehand::FHParser::readRectangle().

void libfreehand::FHCollector::collectPatternFill | ( | unsigned | recordId,
|  | const FHPatternFill & | fill
| ) |  |

Referenced by libfreehand::FHParser::readPatternFill().

void libfreehand::FHCollector::collectPropList | ( | unsigned | recordId,
|  | const FHPropList & | propertyList
| ) |  |

Referenced by libfreehand::FHParser::readElemPropLst(), libfreehand::FHParser::readPropLst(), and libfreehand::FHParser::readStylePropLst().

void libfreehand::FHCollector::collectRadialFill | ( | unsigned | recordId,
|  | const FHRadialFill & | fill
| ) |  |

Referenced by libfreehand::FHParser::readContourFill(), libfreehand::FHParser::readNewContourFill(), libfreehand::FHParser::readNewRadialFill(), libfreehand::FHParser::readRadialFill(), and libfreehand::FHParser::readRadialFillX().

void libfreehand::FHCollector::collectString | ( | unsigned | recordId,
|  | const librevenge::RVNGString & | str
| ) |  |

Referenced by libfreehand::FHParser::readMName(), libfreehand::FHParser::readMString(), and libfreehand::FHParser::readUString().

void libfreehand::FHCollector::collectSymbolClass | ( | unsigned | recordId,
|  | const FHSymbolClass & | symbolClass
| ) |  |

Referenced by libfreehand::FHParser::readSymbolClass().

void libfreehand::FHCollector::collectSymbolInstance | ( | unsigned | recordId,
|  | const FHSymbolInstance & | symbolInstance
| ) |  |

Referenced by libfreehand::FHParser::readSymbolInstance().

void libfreehand::FHCollector::collectTextBlok | ( | unsigned | recordId,
|  | const std::vector< unsigned short > & | characters
| ) |  |

Referenced by libfreehand::FHParser::readTextBlok().

void libfreehand::FHCollector::collectTextObject | ( | unsigned | recordId,
|  | const FHTextObject & | textObject
| ) |  |

Referenced by libfreehand::FHParser::readTextObject().

void libfreehand::FHCollector::collectTileFill | ( | unsigned | recordId,
|  | const FHTileFill & | fill
| ) |  |

Referenced by libfreehand::FHParser::readTileFill().

void libfreehand::FHCollector::collectTintColor | ( | unsigned | recordId,
|  | const FHTintColor & | color
| ) |  |

Referenced by libfreehand::FHParser::readTintColor().

void libfreehand::FHCollector::collectTString | ( | unsigned | recordId,
|  | const std::vector< unsigned > & | elements
| ) |  |

Referenced by libfreehand::FHParser::readTString().

void libfreehand::FHCollector::collectXform | ( | unsigned | recordId,
|  | double | m11,
|  | double | m21,
|  | double | m12,
|  | double | m22,
|  | double | m13,
|  | double | m23
| ) |  |

Referenced by libfreehand::FHParser::readXform().

librevenge::RVNGString libfreehand::FHCollector::getColorString | ( | unsigned | id | ) |
| private

Referenced by _appendBasicFill(), _appendBasicLine(), _appendCharacterProperties(), _appendLensFill(), _appendLinearFill(), _appendRadialFill(), and _appendShadow().

librevenge::RVNGBinaryData libfreehand::FHCollector::getImageData | ( | unsigned | id | ) |
| private

Referenced by _outputImageImport(), and outputDrawing().

libfreehand::FHRGBColor libfreehand::FHCollector::getRGBFromTint | ( | const FHTintColor & | tint | ) |
| private

Referenced by _generateBitmapFromPattern(), and getColorString().

FHCollector& libfreehand::FHCollector::operator= | ( | const FHCollector & |  | ) |
| private

void libfreehand::FHCollector::outputDrawing | ( | ::librevenge::RVNGDrawingInterface * | painter | ) |

Referenced by libfreehand::FHParser::parse().

## Member Data Documentation

std::map<unsigned, FHAttributeHolder> libfreehand::FHCollector::m_attributeHolders
| private

Referenced by _findValueFromAttribute(), and collectAttributeHolder().

std::map<unsigned, FHBasicFill> libfreehand::FHCollector::m_basicFills
| private

Referenced by _appendCharacterProperties(), _findBasicFill(), and collectBasicFill().

std::map<unsigned, FHBasicLine> libfreehand::FHCollector::m_basicLines
| private

Referenced by _findBasicLine(), and collectBasicLine().

std::pair<unsigned, FHBlock> libfreehand::FHCollector::m_block
| private

Referenced by collectBlock(), and outputDrawing().

std::map<unsigned, FHCharProperties> libfreehand::FHCollector::m_charProperties
| private

Referenced by _appendCharacterProperties(), and collectCharProps().

std::map<unsigned, FHGroup> libfreehand::FHCollector::m_clipGroups
| private

Referenced by _findClipGroup(), and collectClipGroup().

std::map<unsigned, FHCompositePath> libfreehand::FHCollector::m_compositePaths
| private

Referenced by _findCompositePath(), and collectCompositePath().

unsigned libfreehand::FHCollector::m_contentId
| private

Referenced by _findContentId(), and collectName().

std::stack<FHTransform> libfreehand::FHCollector::m_currentTransforms
| private

Referenced by _appendTileFill(), _getBBofClipGroup(), _getBBofDisplayText(), _getBBofGroup(), _getBBofImageImport(), _getBBofPath(), _getBBofSymbolInstance(), _getBBofTextObject(), _outputClipGroup(), _outputDisplayText(), _outputGroup(), _outputImageImport(), _outputNewBlend(), _outputPath(), _outputSymbolInstance(), and _outputTextObject().

std::map<unsigned, librevenge::RVNGBinaryData> libfreehand::FHCollector::m_data
| private

Referenced by _findData(), and collectData().

std::map<unsigned, FHDataList> libfreehand::FHCollector::m_dataLists
| private

Referenced by collectDataList(), and getImageData().

std::map<unsigned, FHDisplayText> libfreehand::FHCollector::m_displayTexts
| private

Referenced by _findDisplayText(), and collectDisplayText().

std::vector<FHTransform> libfreehand::FHCollector::m_fakeTransforms
| private

Referenced by _appendTileFill(), _getBBofDisplayText(), _getBBofImageImport(), _getBBofPath(), _getBBofTextObject(), _outputClipGroup(), _outputDisplayText(), _outputImageImport(), _outputPath(), and _outputTextObject().

FHTail libfreehand::FHCollector::m_fhTail
| private

Referenced by collectFHTail(), and outputDrawing().

unsigned libfreehand::FHCollector::m_fillId
| private

Referenced by _appendFillProperties(), and collectName().

std::map<unsigned, FHFilterAttributeHolder> libfreehand::FHCollector::m_filterAttributeHolders
| private

Referenced by _findFilterAttributeHolder(), and collectFilterAttributeHolder().

std::map<unsigned, FHAGDFont> libfreehand::FHCollector::m_fonts
| private

Referenced by _appendFontProperties(), and collectAGDFont().

std::map<unsigned, FWGlowFilter> libfreehand::FHCollector::m_glowFilters
| private

Referenced by _findFWGlowFilter(), and collectFWGlowFilter().

std::map<unsigned, FHGraphicStyle> libfreehand::FHCollector::m_graphicStyles
| private

Referenced by _findGraphicStyle(), and collectGraphicStyle().

std::map<unsigned, FHGroup> libfreehand::FHCollector::m_groups
| private

Referenced by _findGroup(), and collectGroup().

std::map<unsigned, FHImageImport> libfreehand::FHCollector::m_images
| private

Referenced by _findImageImport(), collectImage(), and outputDrawing().

std::map<unsigned, FHLayer> libfreehand::FHCollector::m_layers
| private

Referenced by _outputLayer(), and collectLayer().

std::map<unsigned, FHLensFill> libfreehand::FHCollector::m_lensFills
| private

Referenced by _findLensFill(), and collectLensFill().

std::map<unsigned, FHLinearFill> libfreehand::FHCollector::m_linearFills
| private

Referenced by _findLinearFill(), and collectLinearFill().

std::map<unsigned, FHList> libfreehand::FHCollector::m_lists
| private

Referenced by _findFillId(), _findFilterAttributeHolder(), _findListElements(), _findStrokeId(), and collectList().

std::map<unsigned, std::vector<FHColorStop> > libfreehand::FHCollector::m_multiColorLists
| private

Referenced by _findMultiColorList(), and collectMultiColorList().

std::map<librevenge::RVNGString, unsigned> libfreehand::FHCollector::m_names
| private

Referenced by collectName().

std::map<unsigned, FHNewBlend> libfreehand::FHCollector::m_newBlends
| private

Referenced by _findNewBlend(), and collectNewBlend().

std::map<unsigned, double> libfreehand::FHCollector::m_opacityFilters
| private

Referenced by _findOpacityFilter(), and collectOpacityFilter().

FHPageInfo libfreehand::FHCollector::m_pageInfo
| private

Referenced by _normalizePath(), _normalizePoint(), collectPageInfo(), and outputDrawing().

std::map<unsigned, FHParagraph> libfreehand::FHCollector::m_paragraphs
| private

Referenced by _findParagraph(), and collectParagraph().

std::map<unsigned, FHPath> libfreehand::FHCollector::m_paths
| private

Referenced by _findPath(), and collectPath().

std::map<unsigned, FHPatternFill> libfreehand::FHCollector::m_patternFills
| private

Referenced by _findPatternFill(), and collectPatternFill().

std::map<unsigned, FHPropList> libfreehand::FHCollector::m_propertyLists
| private

Referenced by _findPropList(), and collectPropList().

std::map<unsigned, FHRadialFill> libfreehand::FHCollector::m_radialFills
| private

Referenced by _findRadialFill(), and collectRadialFill().

std::map<unsigned, FHRGBColor> libfreehand::FHCollector::m_rgbColors
| private

Referenced by _findRGBColor(), and collectColor().

std::map<unsigned, FWShadowFilter> libfreehand::FHCollector::m_shadowFilters
| private

Referenced by _findFWShadowFilter(), and collectFWShadowFilter().

std::map<unsigned, librevenge::RVNGString> libfreehand::FHCollector::m_strings
| private

Referenced by _appendCharacterProperties(), _appendFontProperties(), and collectString().

unsigned libfreehand::FHCollector::m_strokeId
| private

Referenced by _appendStrokeProperties(), and collectName().

std::map<unsigned, FHSymbolClass> libfreehand::FHCollector::m_symbolClasses
| private

Referenced by _findSymbolClass(), and collectSymbolClass().

std::map<unsigned, FHSymbolInstance> libfreehand::FHCollector::m_symbolInstances
| private

Referenced by _findSymbolInstance(), and collectSymbolInstance().

std::map<unsigned, std::vector<unsigned short> > libfreehand::FHCollector::m_textBloks
| private

Referenced by _outputParagraph(), and collectTextBlok().

std::map<unsigned, FHTextObject> libfreehand::FHCollector::m_textObjects
| private

Referenced by _findTextObject(), and collectTextObject().

std::map<unsigned, FHTileFill> libfreehand::FHCollector::m_tileFills
| private

Referenced by _findTileFill(), and collectTileFill().

std::map<unsigned, FHTintColor> libfreehand::FHCollector::m_tints
| private

Referenced by _findTintColor(), and collectTintColor().

std::map<unsigned, FHTransform> libfreehand::FHCollector::m_transforms
| private

Referenced by _findTransform(), and collectXform().

std::map<unsigned, std::vector<unsigned> > libfreehand::FHCollector::m_tStrings
| private

Referenced by _findTStringElements(), and collectTString().

The documentation for this class was generated from the following files:

- FHCollector.h
- FHCollector.cpp